
%global meadversion 2.6.0
%global namedversion 2.6.0.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 4
%global namedversionrel redhat-6

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}apache-commons-lang}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.6.0.redhat-6

Name:           %{?scl_prefix}apache-commons-lang
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Lang
Group:          Development/Java

%if %with mead
Source100: commons-lang-2.6.0.redhat-6-scm-sources.zip
Source102: commons-lang-2.6.0.redhat-6-src.tar.gz
Source103: commons-lang-2.6.0.redhat-6-bin.zip
Source104: commons-lang-2.6.0.redhat-6-test-sources.jar
Source105: commons-lang-2.6.0.redhat-6-source-release.zip
Source106: commons-lang-2.6.0.redhat-6.jar
Source107: commons-lang-2.6.0.redhat-6-sources.jar
Source108: commons-lang-2.6.0.redhat-6-bin.tar.gz
Source109: commons-lang-2.6.0.redhat-6-src.zip
Source110: commons-lang-2.6.0.redhat-6.pom
Source111: commons-lang-2.6.0.redhat-6-project-sources.tar.gz
Source112: commons-lang-2.6.0.redhat-6-tests.jar
Source113: commons-lang-2.6.0.redhat-6-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/lang/
Provides:       %{?scl_prefix}commons-lang = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Commons Lang, a package of Java utility classes for the classes
that are in java.lang's hierarchy, or are considered to be so standard
as to justify existence in java.lang.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-lang
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-lang -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}.jar %{buildroot}%{_javadir}/commons-lang-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-lang-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-lang-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-lang-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-lang-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-lang-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-lang-%{namedversion} -x META-INF/\*
%{__ln_s} commons-lang-%{namedversion} %{buildroot}%{_javadocdir}/commons-lang
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt PROPOSAL.html RELEASE-NOTES.txt
%{_javadir}/commons-lang-%{namedversion}.jar
%{_javadir}/commons-lang.jar
%if %with javadoc
%{_javadir}/commons-lang-%{namedversion}-javadoc.jar
%{_javadir}/commons-lang-javadoc.jar
%endif
%{_javadir}/commons-lang-%{namedversion}-sources.jar
%{_javadir}/commons-lang-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-lang-%{namedversion}
%{_javadocdir}/commons-lang
%endif

%changelog
* Tue Jan 26 2016 Petr Sakar <psakar@redhat.com> - 2.6.0-4.redhat_6.1
- Upgrade to 2.6.0.redhat-6
  target java 1.6

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 2.6.0-3.redhat_5.1
- fix changelog

* Mon Jul 06 2015 David Walluck <dwalluck@redhat.com> - 2.6.0-2.redhat_5.1
- release

